Create a digital asset wallet
curl --request POST \
--url https://api.balansas.com/functions/v1/customer-api/wallets \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"endUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"umbrellaLinkId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>"
}
'import requests
url = "https://api.balansas.com/functions/v1/customer-api/wallets"
payload = {
"endUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"umbrellaLinkId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
endUserId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
umbrellaLinkId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
displayName: '<string>'
})
};
fetch('https://api.balansas.com/functions/v1/customer-api/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"local_id": "a1b2c3d4-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
"provider": "balansas",
"display_name": "Treasury USDC",
"status": "active",
"currency": "USDC",
"deposit_address": "0xAbC1234567890dEf1234567890AbCdEf12345678"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Wallets
Create a digital asset wallet
POST
/
wallets
Create a digital asset wallet
Authorizations
Customer API key. Send as x-api-key: sk_... or Authorization: Bearer sk_.... Write operations also require an X-CSRF-Token header (64-char hex).
Body
application/json
Response
Success
Show child attributes
Show child attributes
⌘I

